@echo off
setlocal enabledelayedexpansion
set atomic=22b6938fe767e5cc57d1fe13080cd522
set worldt=2df4ca554883880a8f0a304d0bec409d
set idx=0

echo.
echo.
echo.
echo              =====================================================
echo            ^|^|                                                     ^|^|
echo           ^|^|^|               D U K E ! Z O N E   I I                ^|^|^|
echo           ^|^|^|           P L A Y A B I L I T Y   E D I T           ^|^|^|
echo            ^|^|                                                     ^|^|
echo              =====================================================
echo             ^|                    by NightFright                   ^|
echo              -----------------------------------------------------
echo             ^|                     Version 2.2                     ^|
echo             ^|                  February 22, 2024                  ^|
echo              -----------------------------------------------------
echo.

if exist "%cd%\eduke32.exe" set exe=eduke32.exe
if exist "%cd%\rednukem.exe" set exe=rednukem.exe else (
	set reason=0
	goto Abort
)

for /f %%F in ('certutil -hashfile duke3d.grp MD5') do (
    set "out!idx!=%%F"
    set /a idx += 1
)
set checksum=%out1%

if /i %checksum%==%atomic% (
    	echo ATOMIC EDITION detected. Launching...
	if exist %cd%\dukezone2\dukezone2_wt.grpinfo del %cd%\dukezone2\dukezone2_wt.grpinfo
	goto Launch
)
if /i %checksum%==%worldt% (
    	echo WORLD TOUR detected. Launching...
	if exist %cd%\dukezone2\dukezone2.grpinfo (
		del %cd%\dukezone2\dukezone2.grpinfo
		ren %cd%\dukezone2\dukezone2_wt.grpinfo %cd%\dukezone2\dukezone2.grpinfo
	)
	goto Launch
) else set reason=1

:Abort
if %reason%==0 (
	echo Unable to find EDuke32 or Rednukem executables. 
) else (
	echo No supported version of DUKE3D.GRP detected.
)
echo Aborting...
ping -n 4 localhost >nul
goto End

:Launch
ping -n 3 localhost >nul
%exe% -jdukezone2

:End